Support Questions
Find answers, ask questions, and share your expertise

Does HDP 2.4.2 for windows support jdk 1.8?

New Contributor

Hi all,

I am trying to install a single node VM with windows Server 2012 R2 and HDP 2.4.2. Has anyone tried to work with this configuration and jdk 1.8? Does it work?

Both links below make quite clear that 1.7 is required. I would like to work with this OS and a third party program that needs jdk 1.8, does anyone know how can I do that?

Thanks!!!

https://docs.hortonworks.com/HDPDocuments/HDP2/HDP-2.4.2-Win/bk_HDP_Install_Win/content/ref-dc3ee968...

https://docs.hortonworks.com/HDPDocuments/HDP2/HDP-2.4.2-Win/bk_QuickStart_HDPWin/content/SystemRequ...

1 ACCEPTED SOLUTION

4 REPLIES 4

New Contributor

Hi @milind pandit,

thank you for the quick response. Can I use the hdp installer or do I need to install manually if jdk 1.8 is chosen?

BR

You should able to use the hdp installer.

Explorer

for HDP on windows, please check this documentation instead:

https://docs.hortonworks.com/HDPDocuments/HDP2/HDP-2.4.2-Win/bk_QuickStart_HDPWin/content/SystemRequ...

JDK 1.7 is supported.

; ;